Bug 763525 - (GLUSTER-1793) peer probe using hostname and ipaddress on same machine
peer probe using hostname and ipaddress on same machine
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
3.1-alpha
All Linux
low Severity medium
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-04 11:04 EDT by Lakshmipathi G
Modified: 2015-12-01 11:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: RTP
Mount Type: All
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lakshmipathi G 2010-10-04 11:04:04 EDT
peer probe using hostname and ipaddress on same machine - first did probe with hostname then tried again with ipaddress.

#gluster peer probe 10.122.35.139
Probe failed

but status says 2 peers 
===========
# gluster peer status
Number of Peers: 2

Hostname: ip-10-122-35-139
Uuid: 10ab4c68-dd08-488e-874a-18f0ec8f4068
State: Peer in Cluster (Connected)

Hostname: 10.122.35.139
Uuid: 00000000-0000-0000-0000-000000000000
State: Establishing Connection (Connected)
Comment 1 Amar Tumballi 2010-10-04 12:33:27 EDT
Is it AWS instance? we have some known issue there with gethostbyname() API.. Hence its an expected behavior :-/

Lets try to fix this after 3.1 release
Comment 2 Vijay Bellur 2010-10-04 12:35:19 EDT
(In reply to comment #1)

Can the output of uname -a be listed here? gethostbyname() recognizes only the hostname as provided by uname.
Comment 3 Lakshmipathi G 2010-10-04 22:50:15 EDT
yes,its aws instance. here is the o/p of uname cmd-

[root@ip-10-122-35-139 ~]# uname -a
Linux ip-10-122-35-139 2.6.21.7-2.fc8xen #1 SMP Fri Feb 15 12:39:36 EST 2008 i686 i686 i386 GNU/Linux
Comment 4 Vijay Bellur 2010-10-28 04:34:56 EDT
1855 should fix this.

Note You need to log in before you can comment on or make changes to this bug.